Gecode::Int::Channel::LinkSingle Class Reference
Other available functionality » Integer propagators

Link propagator for a single Boolean view. More...

`#include <channel.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low unary).
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::MixBinaryPropagator< BoolView, PC_BOOL_VAL, IntView, PC_INT_VAL >
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, BoolView x0, IntView x1)
| Post propagator for .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::MixBinaryPropagator< BoolView, PC_BOOL_VAL, IntView, PC_INT_VAL >
| MixBinaryPropagator (Space &home, MixBinaryPropagator &p)
| Constructor for cloning.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.
Protected Attributes inherited from Gecode::MixBinaryPropagator< BoolView, PC_BOOL_VAL, IntView, PC_INT_VAL >
BoolView | x0
| View of type View0.
IntView | x1
| View of type View1.

## Detailed Description

Link propagator for a single Boolean view.

Requires

#include <gecode/int/channel.hh>
channel.hh

Definition at line 170 of file channel.hh.

## Member Function Documentation

## copy()

Actor * Gecode::Int::Channel::LinkSingle::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 44 of file link-single.cpp.

## cost()

PropCost Gecode::Int::Channel::LinkSingle::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function (defined as low unary).

Reimplemented from Gecode::MixBinaryPropagator< BoolView, PC_BOOL_VAL, IntView, PC_INT_VAL >.

Definition at line 49 of file link-single.cpp.

## propagate()

ExecStatus Gecode::Int::Channel::LinkSingle::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 54 of file link-single.cpp.

## post()

ExecStatus Gecode::Int::Channel::LinkSingle::post | ( | Home | home,
|  | BoolView | x0,
|  | IntView | x1 )

inline static

Post propagator for .

Definition at line 42 of file link-single.hpp.

The documentation for this class was generated from the following files:

- gecode/int/channel.hh
- gecode/int/channel/link-single.cpp
- gecode/int/channel/link-single.hpp